Search documentation of polar_express

# PolarExpress.Schemas.OrganizationUpdate (polar_express v0.1.5)

Copy Markdown View Source

OrganizationUpdate

## Summary

### Types

t()

### Functions

schema_name()

## Types

# t()

    @type t() :: %PolarExpress.Schemas.OrganizationUpdate{
      avatar_url: String.t() | nil,
      customer_email_settings:
        PolarExpress.Schemas.OrganizationCustomerEmailSettings.t() | nil,
      customer_portal_settings:
        PolarExpress.Schemas.OrganizationCustomerPortalSettings.t() | nil,
      default_presentment_currency:
        PolarExpress.Schemas.PresentmentCurrency.t() | nil,
      details: PolarExpress.Schemas.OrganizationDetails.t() | nil,
      email: String.t() | nil,
      feature_settings: PolarExpress.Schemas.OrganizationFeatureSettings.t() | nil,
      name: String.t() | nil,
      notification_settings:
        PolarExpress.Schemas.OrganizationNotificationSettings.t() | nil,
      socials: [PolarExpress.Schemas.OrganizationSocialLink.t()] | nil,
      subscription_settings:
        PolarExpress.Schemas.OrganizationSubscriptionSettings.t() | nil,
      website: String.t() | nil
    }

- `avatar_url` - Nullable.
- `customer_email_settings` - Nullable.
- `customer_portal_settings` - Nullable.
- `default_presentment_currency` - Default presentment currency for the organization Nullable.
- `details` - Additional, private, business details Polar needs about active organizations for compliance (KYC). Nullable.
- `email` - Public support email. Nullable.
- `feature_settings` - Nullable.
- `name` - Nullable.
- `notification_settings` - Nullable.
- `socials` - Links to social profiles. Nullable.
- `subscription_settings` - Nullable.
- `website` - Official website of the organization. Nullable.

## Functions

# schema_name()